.auth-wrapper {
    height: 100%;
}

.auth-wrapper {
    display: flex;
    align-items: center !important;
    padding-top: 40px;
    padding-bottom: 40px;
    background: linear-gradient(#eb6e47 50%, #f2e0da 50%);
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
}

.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}
.btn-form-action-secondary{
    background: #f2e0da !important;

}

:root{
    --primary: #db5025;
    --secondary: #ef7a28;
    --accent: #f1d040;
}
body{
    font-family: 'Montserrat', sans-serif;
    background: #fffcfa;
    font-size: 14px;
}
h1,h2,h3,h4,h5,h6{
    font-family: 'Lato', sans-serif;
}
.brand-image {
    width: 44px;
    border-radius: 10px;
}
.main-header-bg {
    background: linear-gradient(45deg, #db5025, #ef7a28d9);
}
a.nav-link.text-white.btn-logout {
    background: #f1d040;
    color: #000 !important;
    font-size: 13px;
    border-radius: 5px;
    font-weight: 600;
    line-height: 1.8;
}
.btn-transparent {
    background: transparent;
    border-color: transparent;
    font-size: 14px;
}
.btn-custom {
    background: var(--primary);
    border-color: var(--primary);
    font-size: 14px;
    margin-left: 10px;
}
.btn-form-action {
    background: linear-gradient(45deg, #db5025, #ef7a28d9);
    border-color: var(--primary);
}
.btn-form-action:hover {
    border-color: var(--primary);
}
.btn-transparent:hover, 
.btn-transparent:active,
.btn-transparent:focus,
.btn-custom:hover,
.btn-custom:active,
.btn-custom:focus,
.btn-profile-edit:hover,
.btn-profile-edit:active,
.btn-profile-edit:focus,
.poke-action:hover,
.poke-action:active, 
.poke-action:focus  {
    background: #fff;
    border-color: #fff;
    color: var(--primary);
    box-sizing: unset;
}
.custom-body {
    padding: 60px 0;
    margin-bottom: 60px;
}
.card-custom {
    box-shadow: 0 0 1px rgb(0 0 0 / 7%), 0 1px 50px rgb(0 0 0 / 7%);
    border: 0;
    padding: 25px;
    border-radius: 20px;
}
.card-custom .card-body{
    padding: 25px;
}
img.card-img-top {
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    height: 150px;
    object-fit: cover;
    width: 100%;
    filter: brightness(0.6);
}
img.card-img-photo {
    width: 120px;
    height: 120px;
    object-fit: cover;
    border-radius: 50%;
    border: 3px solid #e9e9e9;
    box-shadow: 0 0 1px rgb(0 0 0 / 7%), 0 1px 50px rgb(0 0 0 / 7%);
    margin-left: 13px;
}
.card-custom .profile-body {
    margin-top: -74px;
    z-index: 1;
    padding: 18px;
}
.profile-name {
    margin-top: 46px;
    margin-left: 10px;
}
span.profile-details {
    display: block;
    color: grey;
    font-size: 13px;
    line-height: 1.8;
}
span.profile-details i {
    margin-right: 3px;
}
.profile-text {
    padding: 12px;
    padding-top: 0;
}
.btn-profile-edit{
    float: right;
    margin-top: 61px;
    color: #000;
    font-size: 12px;
    cursor: pointer;
    background: transparent;
    border-color: transparent;
}
.profile-pokemon-title {
    margin-top: 10px;
    margin-left: 10px;
    color: grey;
    text-transform: uppercase;
    font-size: 14px;
    margin-bottom: 10px;
}
.profile-pokemons {
    padding: 0 10px;
}
.chip-pokemon {
    padding: 7px 13px;
    background: #ffece5 !important;
    color: #000;
    box-shadow: inset 0 0 10px #edd4ca;
    margin-bottom: 6px;
}
.chip-pokemon img {
    width: 35px;
    height: 22px;
    padding-right: 5px;
}
.pokemons-col{
    width: 70%;
}
.profile-col{
    width: 30%;
}
#poke-tabs .nav-link {
    color: #c3bebe;
    background: transparent;
    font-family: 'Lato', sans-serif;
    font-size: 24px;
    border-radius: 0;
    padding-right: 25px;
    padding-left: 25px;
}
#poke-tabs .nav-link:hover {
    color: #000000;
}
#poke-tabs .nav-link.active {
    color: #000000;
    border-bottom: 3px solid var(--primary);
}
div#poke-TabsContent{
    padding: 10px;
}
.card.poke-card {
    border: 0;
    box-shadow: inset 0 0 40px #edd4ca;
    padding: 50px 25px 25px 25px;
    border-radius: 10px;
    margin-bottom: 25px;
}
img.poke-img {
    width: 170px;
    margin: 0 auto;
    height: 170px;
}
.poke-footer-actions {
    padding: 10px 13px;
    background: #f5e2db;
    border-bottom-left-radius: 10px !important;
    border-bottom-right-radius: 10px !important;
    margin-left: -5px;
    margin-right: -5px;
    border-color: #eb7e3f47;
}
button.btn.btn-primary.poke-action {
    background: transparent;
    border: 0;
    color: #973e0a;
    font-size: 14px;
    padding-bottom: 3px;
    margin-bottom: 2px;
}
button.btn.btn-primary.poke-action.like {
    background: #fff;
}
.poke-action:hover {
    background: var(--primary) !important;
    border-color: var(--primary) !important;
    color: #fff !important;
}
.card.user-card {
    border: 0;
    padding: 20px 10px 10px 10px;
    border-radius: 10px;
    margin-bottom: 25px;
    cursor: pointer;
    transition: 0.3s;
}
.card.user-card:hover,
.card.user-card:active,
.card.user-card:focus {
    box-shadow: inset 0 0 40px #edd4ca;
}
img.user-img {
    width: 100px;
    margin: 0 auto;
    height: 100px;
    border-radius: 50%;
    border: 3px solid #ebcabd;
    box-shadow: 0 0 1px rgb(0 0 0 / 7%), 0 1px 50px rgb(0 0 0 / 7%);
    margin-bottom: -5px;
    object-fit: cover;
}
.user-name {
    font-size: 18px;
    margin-bottom: 0;
}
.card.user-card .card-body {
    padding: 15px !important;
}
.page-link {
    color: #000000;
}
.user-profile-close {
    position: absolute;
    right: 10px;
    background: var(--primary);
    z-index: 1;
    color: #fff;
    opacity: 0.8;
    top: 16px;
    padding: 5px;
    padding-top: 1px;
    padding-bottom: 8px;
    transition: 0.3s;
}
.user-profile-close:hover {
    color: #fff;
    opacity: 1;
}
#userProfileModal .modal-dialog {
    max-width: 385px;
}
.pokemon-div-scroll {
    padding-top: 20px;
    padding-bottom: 20px;
    max-height: 850px;
    overflow-x: hidden;
    overflow-y: auto;
    padding-right: 7px;
}
.pokemon-div-scroll::-webkit-scrollbar-track {
    background-color: #ffffff;
}
.pokemon-div-scroll::-webkit-scrollbar {
    width: 6px;
    background-color: #F5F5F5;
    border-radius: 10px;
}
.pokemon-div-scroll::-webkit-scrollbar-thumb {
    background-color: #ccc8c8;
    border-radius: 20px;
}
.form-signin {
    width: 100%;
    max-width: 400px;
    padding: 15px;
    margin: auto;
}
.form-signin .checkbox {
    font-weight: 400;
}
.form-signin .form-floating:focus-within {
    z-index: 2;
}
.form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}
.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}
.form-img {
    width: 58px;
    border-radius: 10px;
    height: 58px;
}
.main-form {
    background: #fff;
    box-shadow: 0 0 1px rgb(0 0 0 / 7%), 0 1px 50px rgb(0 0 0 / 7%);
    border: 0;
    padding: 25px;
    border-radius: 20px;
}
img.footer-logo {
    width: 150px;
    display: block;
    margin: 0 auto;
    margin-top: 10px;
}
.page-footer {
    background: #f2e0da;
    box-shadow: 0 0 1px rgb(0 0 0 / 7%), 0 1px 50px rgb(0 0 0 / 7%);
    padding: 15px 0;
    position: fixed;
    width: 100%;
    bottom: 0;
    border-top: 1px solid #edc7ba;
}
.page-footer p{
    color: #000;
}
.page-footer img.footer-logo {
    width: 102px;
    margin: 0 auto;
    display: initial;
    margin-top: 0px;
}
  

@media(max-width:1024px) and (min-width:767px){

    .profile-col {
        width: 40%;
    }
    .pokemons-col {
        width: 60%;
    }
    #poke-TabsContent .row.align-items-center.justify-content-end.mb-4 .col-md-4 {
        width: 100%;
    }
    .pokemon-div-scroll .row .col-md-4 {
        width: 100%;
    }
    .pokemon-div-scroll::-webkit-scrollbar {
        width: 3px;
    }
    .pokemon-div-scroll .row .col-md-3 {
        width: 50%;
    }
    .user-name {
        font-size: 16px;
    }
    .card.user-card .card-body {
        padding: 10px !important;
        margin-top: 5px;
    }
    .card.poke-card {
        padding: 30px 25px 25px 25px;
    }
    img.poke-img {
        margin-bottom: -10px;
    }
    .pokemon-div-scroll {
        padding-bottom: 0;
    }
    .card-custom {
        padding-bottom: 0;
    }
   
}
@media(max-width: 767px){

    .main-header-bg {
        padding-left: 15px;
        padding-right: 15px;
    }
    .profile-col {
        width: 100%;
        margin-bottom: 20px;
    }
    .pokemons-col {
        width: 100%;
    }
    .custom-body {
        padding: 20px 15px;
    }
    .chip-pokemon img {
        width: 26px;
        height: 20px;
    }
    #poke-tabs .nav-link {
        font-size: 21px;
        padding-right: 20px;
        padding-left: 20px;
    }
    .pokemons-col .card-custom {
        padding: 20px;
    }
    div#poke-TabsContent {
        padding: 0;
    }
    .card.poke-card {
        padding: 30px 20px 20px 20px;
        margin-bottom: 15px;
    }
    .card.user-card {
        margin-bottom: 15px;
    }
    .poke-footer-actions .row .col-md-6 {
        width: 50%;
    }
    img.poke-img {
        margin-bottom: -10px;
    }
    .pokemon-div-scroll::-webkit-scrollbar {
        width: 3px;
    }
    .page-footer img.footer-logo {
        width: 88px;
    }
    .pokemon-div-scroll {
        padding-bottom: 0;
    }
}
